Skip to main content
DELETE
/
api
/
external
/
companies
/
{companyId}
/
events
/
{eventId}
/
lawsuit
/
defendants
/
{defendantId}
Delete Defendant
curl --request DELETE \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/lawsuit/defendants/{defendantId} \
  --header 'Authorization: <api-key>'
{
  "id": "550e8400-e29b-41d4-a716-446655440001",
  "deleted": true
}

Authorizations

Authorization
string
header
required

API key authentication. Include your key in the Authorization header: Authorization: ApiKey YOUR-API-KEY

Path Parameters

companyId
string<uuid>
required

Company identifier

eventId
string<uuid>
required

Event identifier

defendantId
string<uuid>
required

Defendant identifier

Response

Defendant deleted

id
string<uuid>

The deleted defendant identifier

deleted
boolean

Always true on success